This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 441162

Summary: '-smb Directory' seems to fail
Product: [Fedora] Fedora Reporter: Tom London <selinux>
Component: kvmAssignee: Glauber Costa <gcosta>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9CC: berrange, clalance, maurizio.antillon, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 11:21:02 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Tom London 2008-04-06 18:23:06 EDT
Description of problem:
Trying to connect guest to host via builtin smbserver appears to fail.

I get some AVCs (I'll take that up with dwalsh separately), but even in
permissive mode, it appears that the smbserver dies:

21641 pts/1    Sl     0:41 qemu-kvm -m 400 -smb Share /dev/sdb4
21712 pts/1    Z      0:00 [smbd] <defunct>
21734 pts/1    R+     0:00 ps gax
[tbl@localhost ~]$ 

I don't see any messages in /var/log/messages, nor in /var/log/samba


Version-Release number of selected component (if applicable):
kvm-64-3.fc9.i386

How reproducible:
Every time

Steps to Reproduce:
1. start with something like 'qemu-kvm -m 400 -smb Share .....'
2. in XP guest, start Windows explorer, and try '\\10.0.2.4\smbserver'
3. Windows explorer hangs, do 'ps algx' in host.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2008-04-06 18:26:45 EDT
Found where the smbd log file is (/tmp/qemu....):

[tbl@localhost qemu-smb.21641]$ cat log.smbd
[2008/04/06 15:16:28,  1] smbd/files.c:file_init(191)
  file_init: Information only: requested 10000 open files, 1004 are available.
[2008/04/06 15:16:28,  0] passdb/pdb_smbpasswd.c:startsmbfilepwent(240)
  startsmbfilepwent_internal: file /tmp/qemu-smb.21641/smbpasswd did not exist.
File successfully created.
[2008/04/06 15:16:28,  1] lib/account_pol.c:account_policy_get(285)
  account_policy_get: tdb_fetch_uint32 failed for field 1 (min password length),
returning 0
[2008/04/06 15:16:28,  1] lib/account_pol.c:account_policy_get(285)
  account_policy_get: tdb_fetch_uint32 failed for field 2 (password history),
returning 0
[2008/04/06 15:16:28,  1] lib/account_pol.c:account_policy_get(285)
  account_policy_get: tdb_fetch_uint32 failed for field 3 (user must logon to
change password), returning 0
[2008/04/06 15:16:28,  1] lib/account_pol.c:account_policy_get(285)
  account_policy_get: tdb_fetch_uint32 failed for field 4 (maximum password
age), returning 0
[2008/04/06 15:16:28,  1] lib/account_pol.c:account_policy_get(285)
  account_policy_get: tdb_fetch_uint32 failed for field 5 (minimum password
age), returning 0
[2008/04/06 15:16:28,  1] lib/account_pol.c:account_policy_get(285)
  account_policy_get: tdb_fetch_uint32 failed for field 6 (lockout duration),
returning 0
[2008/04/06 15:16:28,  1] lib/account_pol.c:account_policy_get(285)
  account_policy_get: tdb_fetch_uint32 failed for field 7 (reset count minutes),
returning 0
[2008/04/06 15:16:28,  1] lib/account_pol.c:account_policy_get(285)
  account_policy_get: tdb_fetch_uint32 failed for field 8 (bad lockout attempt),
returning 0
[2008/04/06 15:16:28,  1] lib/account_pol.c:account_policy_get(285)
  account_policy_get: tdb_fetch_uint32 failed for field 9 (disconnect time),
returning 0
[2008/04/06 15:16:28,  1] lib/account_pol.c:account_policy_get(285)
  account_policy_get: tdb_fetch_uint32 failed for field 10 (refuse machine
password change), returning 0
[tbl@localhost qemu-smb.21641]$ 


Is this the way it is supposed to work?  Is there some other way to set the
password/credentials?  Didn't see it in the man page....
Comment 2 Bug Zapper 2008-05-14 04:59:16 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 20:01:21 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 11:21:02 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.